1. Taobao Order Manage
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • Taobao Logistics
      • API for China Domestic Shipping Cost
    • Taobao Order Manage
      • Product Bunker interface
        GET
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Auto Payment of Order
        POST
    • Taobao Message Service
      • Callback Message Signature Verification Specification
      • Order Status Update Message
      • Order Price Change Message
  1. Taobao Order Manage

API for Canceling Formal Order

POST
/taobao/purchase/order/asyn/cancel
API for Canceling Formal Order

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/purchase/order/asyn/cancel' \
--header 'Content-Type: application/json' \
--data '{
    "appKey": "",
    "appSecret": "",
    "purchase_id": "200130683606",
    "sub_purchase_orderId_list": ["200130683607"],
    "cancel_reason": "No longer needed",
    "cancel_remark": ""
}'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "code": "0",
        "success": true,
        "requestId": "2102f67717854065713472973",
        "errorCode": null,
        "TraceId": "214103bd17854065713433622ee0a0",
        "errorMsg": null
    },
    "timestamp": 1785406571849,
    "traceId": "6f5280c0a46c",
    "cost": 0
}
Previous
API for Creating Formal Order
Next
API for Querying Order Details
Built with